mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SymmetricAlgorithm Abstract base class for all implementations of the Data Encryption Standard. A 64 bits (56 bits effective) symmetric cipher. NIST FIPS PUB 46-3: Data Encryption Standard (http://csrc.nist.gov/publications/fips/fips46-3/fips46-3.pdf).
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.Cryptography.DES Create an instance of the default implementation of DES. To be added: an object of type 'DES' By default this will create a new instance. This can be changed by modifying the machine.config configuration file. 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.DES `` DES implementation to be instancied. Create an instance of the specified implementation of DES. To be added: an object of type 'DES' New implementation can be added, or currents can be modified, by modifying the machine.config configuration file. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` The secret key to be verified. Check if the specified key is a known DES semi-weak key. True if the key is a known semi-weak key, false otherwise. The DES implementation included in Mono won't accept a weak or semi-weak key. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` The secret key to be verified. Check if the specified key is a known DES weak key. True if the key is a known weak key, false otherwise. The DES implementation included in Mono won't accept a weak or semi-weak key. 1.0.5000.0 2.0.0.0
- Property
  System.Byte[] To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)